{
  "name": "vue-vite-h5",
  "version": "0.2.0",
  "license": "MIT",
  "author": "LZHD",
  "description": "Developing with Vue 3 and Typescript in Vite.",
  "repository": {
    "type": "git",
    "url": "https://github.com/LZHD/vue-vite-h5"
  },
  "bugs": {
    "url": "https://github.com/LZHD/vue-vite-h5/issues"
  },
  "homepage": "https://github.com/LZHD/vue-vite-h5#readme",
  "scripts": {
    "dev": "vite",
    "start": "npm run dev",
    "build": "vue-tsc --noEmit && vite build",
    "serve": "vite preview",
    "lint": "eslint --ext .js,.jsx,.vue,.ts,.tsx src",
    "generate": "plop",
    "prepare": "husky install"
  },
  "dependencies": {
    "@vant/use": "^1.5.2",
    "@vueuse/core": "^10.2.0",
    "animate.css": "^4.1.1",
    "clean-deep": "^3.4.0",
    "dayjs": "^1.11.7",
    "echarts": "^5.4.2",
    "lodash": "^4.17.21",
    "lodash-es": "^4.17.21",
    "moveable": "^0.49.0",
    "numeral": "^2.0.6",
    "pinia": "^2.1.4",
    "plyr": "^3.7.8",
    "query-string": "^8.1.0",
    "umi-request": "^1.4.0",
    "vudio.js": "^1.0.3",
    "vue": "^3.3.4",
    "vue-router": "^4.1.6",
    "vue3-lottie": "^2.7.0",
    "wavesurfer.js": "^7.0.0-beta.11"
  },
  "devDependencies": {
    "@babel/core": "^7.21.4",
    "@babel/preset-env": "^7.21.4",
    "@types/crypto-js": "^4.1.1",
    "@types/node": "^16.18.23",
    "@types/numeral": "^2.0.2",
    "@typescript-eslint/eslint-plugin": "^5.57.1",
    "@typescript-eslint/parser": "^5.57.1",
    "@vitejs/plugin-vue": "^4.1.0",
    "@vitejs/plugin-vue-jsx": "^3.0.1",
    "@vue/babel-plugin-jsx": "^1.1.1",
    "@vue/compiler-sfc": "^3.2.47",
    "@vue/eslint-config-prettier": "^7.1.0",
    "@vue/eslint-config-typescript": "^11.0.2",
    "autoprefixer": "^10.4.14",
    "babel-plugin-dynamic-import-node": "^2.3.3",
    "crypto-js": "^4.1.1",
    "eslint": "^8.38.0",
    "eslint-plugin-prettier": "^4.2.1",
    "eslint-plugin-vue": "^9.10.0",
    "husky": "^8.0.0",
    "less": "^4.1.3",
    "lint-staged": "^13.2.2",
    "naive-ui": "^2.34.4",
    "plop": "^3.1.2",
    "postcss-px-to-viewport": "^1.1.1",
    "prettier": "^2.8.7",
    "typescript": "^5.0.4",
    "unplugin-vue-components": "^0.24.1",
    "vite": "^4.2.1",
    "vite-plugin-eslint": "^1.8.1",
    "vite-plugin-mkcert": "^1.15.0",
    "vue-eslint-parser": "^9.1.1",
    "vue-tsc": "^1.2.0",
    "yorkie": "^2.0.0"
  },
  "gitHooks": {
    "pre-commit": "lint-staged"
  },
  "lint-staged": {
    "*.{js,jsx,vue,ts,tsx}": [
      "eslint --fix"
    ]
  },
  "engines": {
    "node": ">=14.20.0"
  },
  "config": {
    "commitizen": {
      "path": "./node_modules/cz-conventional-changelog"
    }
  }
}
